const common = {
  state: {
    userInfo: { appVersion: "344", userToken: "" },
    backBDText: '#firstMeet#第一次注册',
  },
  mutations: {
    SET_USER_INFO: (state, userInfo) => {
      state.userInfo = userInfo;
    },
    SET_BACK_BD_TEXT: (state, backBDText) => {
      state.backBDText = backBDText;
    },
  },
  actions: {
    setUserInfo({ commit }, userInfo) {
      commit('SET_USER_INFO', userInfo);
    },
    setBackBDText({ commit }, backBDText) {
      commit('SET_BACK_BD_TEXT', backBDText);
    },
  }
}

export default common
